AMOEBA(1)

NAME
amoeba - Fast-paced, polished OpenGL demonstration by Excess

SYNOPSIS
amoeba [options]

DESCRIPTION
amoeba is a fast-paced, cross-platform OpenGL demonstration by Excess, showing effects using your 3D card in perfect sync with Ogg Vorbis music. It features a full XML-scripted GPLed demo engine, several object manipulations, lots of graphics and a pumping soundtrack by Satcom101.

Amoeba won first price in the demo competition at Underscore 02, a sceneparty held in Jönköping, Sweden (http://www.underscore.sh/)

OPTIONS
If you start amoeba without any command line options, it will try to launch a GTK+-based configuration interface, if GTK+ is installed on your system. If not, it will start using default parameters (640x480, 32bpp, fullscreen with sound).

All options start with a single dash (`-'). A summary of options are included below. Note that if conflicting options are specified, the last one will take precedence.

-fullscreen
    Run in full screen (default).

-windowed
    Run in a window. Note that resizing the problem may cause problems, and is not fully supported.

-640x480, -800x600, -1024x768, -1280x960, -1280x1024, -1400x1050, -1600x1200
    Run in the specified resolution (if using full-screen mode), or open a window of the specified size (if using windowed mode). The default is 640x480.

-16, -32
    Run in the specified bit depth. 32bpp looks better and is usually faster on modern cards, but not all cards can handle 16bpp. Note that 16bpp may cause problems on many cards that do not support stencil visuals with 16bpp. The default is 32bpp.

-z16, -z24, -z32
    Run with a Z-buffer of the specified bit depth. Higher bit depths usually results in slightly better quality, but many cards only support 16bpp, and there might be a performance penalty. The default is 16bpp.

-nosound
    Do not play sound. The default is to play sound, unless no sound card can be detected.

SEE ALSO
/usr/share/doc/amoeba/readme.txt

AUTHOR
Amoeba was made by the group Excess. This manual page was made by Steinar H. Gunderson <sgunderson@bigfoot.com> (aka Sesse/Excess) for the Debian GNU/Linux project (but may be used by others).

Individual credits:

gloom <bent@gathering.org>
    design, music, graphics

Sesse <sgunderson@bigfoot.com>
    code

neuromancer <neuromancerskulls@poczta.onet.pl>
    graphics

kusma <eflund@online.no>
    graphics, code

Tick <tick@psychoproject.net>
    3D modelling

Satcom101 <mattias@satcom101.com>
    music